ZooDefs.OpCode (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper

## Interface ZooDefs.OpCode

- Enclosing class:
    ZooDefs

      @InterfaceAudience.Public
      public static interface ZooDefs.OpCode

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `addWatch`
    `static int` | `auth`
    `static int` | `check`
    `static int` | `checkWatches`
    `static int` | `closeSession`
    `static int` | `create`
    `static int` | `create2`
    `static int` | `createContainer`
    `static int` | `createSession`
    `static int` | `createTTL`
    `static int` | `delete`
    `static int` | `deleteContainer`
    `static int` | `error`
    `static int` | `exists`
    `static int` | `getACL`
    `static int` | `getAllChildrenNumber`
    `static int` | `getChildren`
    `static int` | `getChildren2`
    `static int` | `getData`
    `static int` | `getEphemerals`
    `static int` | `multi`
    `static int` | `multiRead`
    `static int` | `notification`
    `static int` | `ping`
    `static int` | `reconfig`
    `static int` | `removeWatches`
    `static int` | `sasl`
    `static int` | `setACL`
    `static int` | `setData`
    `static int` | `setWatches`
    `static int` | `setWatches2`
    `static int` | `sync`
    `static int` | `whoAmI`

- - ### Field Detail

    - #### notification

          static final int notification

      See Also:
        Constant Field Values

    - #### create

          static final int create

      See Also:
        Constant Field Values

    - #### delete

          static final int delete

      See Also:
        Constant Field Values

    - #### exists

          static final int exists

      See Also:
        Constant Field Values

    - #### getData

          static final int getData

      See Also:
        Constant Field Values

    - #### setData

          static final int setData

      See Also:
        Constant Field Values

    - #### getACL

          static final int getACL

      See Also:
        Constant Field Values

    - #### setACL

          static final int setACL

      See Also:
        Constant Field Values

    - #### getChildren

          static final int getChildren

      See Also:
        Constant Field Values

    - #### sync

          static final int sync

      See Also:
        Constant Field Values

    - #### ping

          static final int ping

      See Also:
        Constant Field Values

    - #### getChildren2

          static final int getChildren2

      See Also:
        Constant Field Values

    - #### check

          static final int check

      See Also:
        Constant Field Values

    - #### multi

          static final int multi

      See Also:
        Constant Field Values

    - #### create2

          static final int create2

      See Also:
        Constant Field Values

    - #### reconfig

          static final int reconfig

      See Also:
        Constant Field Values

    - #### checkWatches

          static final int checkWatches

      See Also:
        Constant Field Values

    - #### removeWatches

          static final int removeWatches

      See Also:
        Constant Field Values

    - #### createContainer

          static final int createContainer

      See Also:
        Constant Field Values

    - #### deleteContainer

          static final int deleteContainer

      See Also:
        Constant Field Values

    - #### createTTL

          static final int createTTL

      See Also:
        Constant Field Values

    - #### multiRead

          static final int multiRead

      See Also:
        Constant Field Values

    - #### auth

          static final int auth

      See Also:
        Constant Field Values

    - #### setWatches

          static final int setWatches

      See Also:
        Constant Field Values

    - #### sasl

          static final int sasl

      See Also:
        Constant Field Values

    - #### getEphemerals

          static final int getEphemerals

      See Also:
        Constant Field Values

    - #### getAllChildrenNumber

          static final int getAllChildrenNumber

      See Also:
        Constant Field Values

    - #### setWatches2

          static final int setWatches2

      See Also:
        Constant Field Values

    - #### addWatch

          static final int addWatch

      See Also:
        Constant Field Values

    - #### whoAmI

          static final int whoAmI

      See Also:
        Constant Field Values

    - #### createSession

          static final int createSession

      See Also:
        Constant Field Values

    - #### closeSession

          static final int closeSession

      See Also:
        Constant Field Values

    - #### error

          static final int error

      See Also:
        Constant Field Values

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.